org.python.modules.posix

## Class PyStatResult

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PySequence
    - - org.python.core.PySequenceList
      - - org.python.core.PyTuple
        - - org.python.modules.posix.PyStatResult

All Implemented Interfaces:
  Serializable, Iterable, Collection, List, Traverseproc

    public class PyStatResult
    extends PyTuple

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.python.core.PyObject

`PyObject.ConversionException`

### Field Summary

Fields
`static int` `n_fields`
`static int` `n_sequence_fields`
`static int` `n_unnamed_fields`
`PyObject` `st_atime`
`PyObject` `st_ctime`
`PyObject` `st_dev`
`PyObject` `st_gid`
`PyObject` `st_ino`
`PyObject` `st_mode`
`PyObject` `st_mtime`
`PyObject` `st_nlink`
`PyObject` `st_size`
`PyObject` `st_uid`
`static PyType` `TYPE`

### Fields inherited from class org.python.core.PyObject

`gcMonitorGlobal`

### Method Summary

Methods
`PyObject` `__eq__(PyObject o)` Equivalent to the standard Python __eq__ method.
`PyTuple` `__getnewargs__()`
`PyObject` `__ne__(PyObject o)` Equivalent to the standard Python __ne__ method.
`PyObject` `__reduce__()` Used for pickling.
`PyString` `__repr__()` Equivalent to the standard Python __repr__ method.
`static PyStatResult` `fromDosFileAttributes(int mode, DosFileAttributes stat)`
`static PyStatResult` `fromFileStat(jnr.posix.FileStat stat)`
`static PyStatResult` `fromUnixFileAttributes(Map<String,Object> stat)`
`PyObject` `pyget(int index)` Returns the element of the sequence at the given index.
`boolean` `refersDirectlyTo(PyObject ob)` Optional operation.
`int` `traverse(Visitproc visit, Object arg)` Traverses all directly contained `PyObject`s.

### Methods inherited from class org.python.core.PyTuple

`__add__, __iter__, __len__, __mul__, __rmul__, add, add, addAll, addAll, clear, contains, containsAll, count, equals, fromIterable, get, getArray, hashCode, index, index, index, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, pyadd, pyadd, pyset, remove, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, toString, tuple___iter__`

### Methods inherited from class org.python.core.PySequence

`__delitem__, __delslice__, __finditem__, __finditem__, __ge__, __getitem__, __getslice__, __gt__, __le__, __lt__, __nonzero__, __setitem__, __setitem__, __setslice__, __tojava__, isMappingType, isNumberType, isSequenceType`

### Methods inherited from class org.python.core.PyObject

`__abs__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __float__, __floordiv__, __format__, __get__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __long__, __lshift__, __mod__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce_ex__, __reduce_ex__, __rfloordiv__, __rlshift__, __rmod__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE

    public static final PyType TYPE

#### st_mode

    public PyObject st_mode

#### st_ino

    public PyObject st_ino

#### st_dev

    public PyObject st_dev

#### st_nlink

    public PyObject st_nlink

#### st_uid

    public PyObject st_uid

#### st_gid

    public PyObject st_gid

#### st_size

    public PyObject st_size

#### st_atime

    public PyObject st_atime

#### st_mtime

    public PyObject st_mtime

#### st_ctime

    public PyObject st_ctime

#### n_sequence_fields

    public static final int n_sequence_fields

See Also:
  Constant Field Values

#### n_fields

    public static final int n_fields

See Also:
  Constant Field Values

#### n_unnamed_fields

    public static final int n_unnamed_fields

See Also:
  Constant Field Values

### Method Detail

#### fromFileStat

    public static PyStatResult fromFileStat(jnr.posix.FileStat stat)

#### fromUnixFileAttributes

    public static PyStatResult fromUnixFileAttributes(Map<String,Object> stat)

#### fromDosFileAttributes

    public static PyStatResult fromDosFileAttributes(int mode,
                                     DosFileAttributes stat)

#### pyget

    public PyObject pyget(int index)

Description copied from class: `PySequence`
Returns the element of the sequence at the given index. This is an extension point called by PySequence in its implementation of `PySequence.__getitem__(org.python.core.PyObject)` It is guaranteed by PySequence that when it calls `pyget(int)` the index is within the bounds of the array. Any other clients must make the same guarantee.

Overrides:
  `pyget` in class `PyTuple`
Parameters:
  `index` - index of element to return.
Returns:
  the element at the given position in the list.

#### __eq__

    public PyObject __eq__(PyObject o)

Description copied from class: `PyObject`
Equivalent to the standard Python __eq__ method.

Overrides:
  `__eq__` in class `PySequence`
Parameters:
  `o` - the object to compare this with.
Returns:
  the result of the comparison.

#### __ne__

    public PyObject __ne__(PyObject o)

Description copied from class: `PyObject`
Equivalent to the standard Python __ne__ method.

Overrides:
  `__ne__` in class `PySequence`
Parameters:
  `o` - the object to compare this with.
Returns:
  the result of the comparison.

#### __reduce__

    public PyObject __reduce__()

Used for pickling.

Overrides:
  `__reduce__` in class `PyObject`
Returns:
  a tuple of (class, tuple)

#### __getnewargs__

    public PyTuple __getnewargs__()

Overrides:
  `__getnewargs__` in class `PyTuple`

#### __repr__

    public PyString __repr__()

Description copied from class: `PyObject`
Equivalent to the standard Python __repr__ method. This method should not typically need to be overrriden. The easiest way to configure the string representation of a `PyObject` is to override the standard Java `toString` method.

Overrides:
  `__repr__` in class `PyObject`

#### traverse

    public int traverse(Visitproc visit,
               Object arg)

Description copied from interface: `Traverseproc`
Traverses all directly contained `PyObject`s. Like in CPython, `arg` must be passed unmodified to `visit` as its second parameter. If `Visitproc.visit(PyObject, Object)` returns nonzero, this return value must be returned immediately by traverse. `Visitproc.visit(PyObject, Object)` must not be called with a `null` PyObject-argument.

Specified by:
  `traverse` in interface `Traverseproc`
Overrides:
  `traverse` in class `PyTuple`

#### refersDirectlyTo

    public boolean refersDirectlyTo(PyObject ob)

Description copied from interface: `Traverseproc`
Optional operation. Should only be implemented if it is more efficient than calling `Traverseproc.traverse(Visitproc, Object)` with a visitproc that just watches out for `ob`. Must return `false` if `ob` is `null`.

Specified by:
  `refersDirectlyTo` in interface `Traverseproc`
Overrides:
  `refersDirectlyTo` in class `PyTuple`